commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Torsten Curdt <tcu...@apache.org>
Subject Re: [io] 2.0 Moving to minimum of JDK 1.5
Date Mon, 11 Feb 2008 18:33:33 GMT
>>> I still don't see the need to overhaul the entire API.
>>
>> And I don't see the point why we shouldn't. Going from from java 1.4
>> -> 1.5 usually means a bit overhaul.
>
> Perhaps usually, but for Commons IO?

The question was - why not? We are running around in circles here.

> I see only a few isolated candidates for Java 5 improvements

<snip/>

Counting that's already 4 :)

> Do such isolated changes justify changing the entire API? Or do you
> have some other major changes in mind?

Hell, it's a new version and no one would be required to upgrade. And  
upgrading would still be easy. So why not get rid of some cruft.

Could we maybe just settle on doing the changes on a branch first and  
then discuss compatibility and a possible merge?

cheers
--
Torsten

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message